Subject: Re: minerals

From: "Permaculture West" <[email-masked]>
Date: Tue, 16 Sep 1997 06:10:36 -0700

Definitely food for thought.  Thanks for reinforcing the permaculture
perspective.             Occassionally I do "miss the point" and instead
favor traditional organic methods (using supplements, etc).  If you ever
come across that list of dynamic accumulators, send it my way.  I have
several lists (now that I've checked) but am always seeking more info.